Lintian Reports

W non-dev-pkg-with-shlib-symlink

All reports of non-dev-pkg-with-shlib-symlink for the archive. The extended description of this tag is:

Although this package is not a "-dev" package, it installs a "libsomething.so" symbolic link referencing the corresponding shared library. When the link doesn't include the version number, it is used by the linker when other programs are built against this shared library.

Shared libraries are supposed to place such symbolic links in their respective "-dev" packages, so it is a bug to include it with the main library package.

However, if this is a small package which includes the runtime and the development libraries, this is not a bug. In the latter case, please override this warning.

Refer to Debian Policy Manual section 8.4 (Development files) for details.

Severity: normal, Certainty: possible

Check: shared-libs, Type: binary, udeb

Evolution of the non-dev-pkg-with-shlib-symlink Lintian tag over the past 366 days:

The beforementioned graph for the non-dev-pkg-with-shlib-symlink tag

Emitted (non-overridden): 182, overridden: 273, total: 455

The package names link to the relevant maintainer page and the corresponding report for the source package. The links go to the full maintainer report page, which includes info and experimental tags and overridden tags, rather than the default page that shows only errors and warnings.

ace-of-penguins 1.5~rc2-1+b1 (binary) overridden

alltray 0.71b-1+b2 (binary) overridden

alsa-oss 1.0.28-1+b2 (binary)

atheme-services 7.2.9-1 (binary)

aufs-tools 1:4.1+20161219-1 (binary) overridden

avfs 1.0.3-1+b1 (binary) overridden

birdfont 2.19.4-1 (binary)

btrfs-progs 4.13.3-1 (binary) overridden

cairo-dock-dbus-plug-in-interface-vala 3.4.1-1.1 (binary)

calamares 3.1.6-3 (binary) overridden

choqok 1.6-2 (binary)

code-saturne-bin 4.3.3+repack-1+b1 (binary) overridden

cpu 1.4.3-12 (binary)

criu 3.5-2 (binary)

depqbf 5.01-1 (binary) overridden

dogecoin 1.10.0-5 (binary)

duma 2.5.15-1.1+b1 (binary)

ecl 16.1.2-3 (binary) overridden

electric-fence 2.2.5 (binary) overridden

entangle 0.7.2-1 (binary)

esys-particle 2.3.5+dfsg1-2 (binary) overridden

eterm 0.9.6-5 (binary)

ettercap-common 1:0.8.2-10 (binary) overridden

evolution-data-server-tests 3.26.1-1 (binary)

f2fs-tools-udeb 1.7.0-1.1 (udeb)

garmin-forerunner-tools 0.10repacked-10+b1 (binary)

gcc-avr 1:5.4.0+Atmel3.6.0-1 (binary)

geany 1.31-1 (binary)

gerbv 2.6.1-2 (binary)

ggobi 2.1.11-2 (binary) overridden

glusterfs-common 3.12.1-1 (binary) overridden

gnome-shell-pomodoro 0.13.3-1 (binary) overridden

gnumeric 1.12.32-1+b2 (binary) overridden

gnustep-dl2 0.12.0-15.1 (binary) overridden

gr-gsm 0.41.2-1 (binary)

grads 3:2.2.0-1 (binary)

gubbins 2.3.1-1 (binary) overridden

guile-2.0-libs 2.0.13+1-4+b1 (binary) overridden

guile-cairo 1.4.0-3.1 (binary)

guile-gnome2-glib 2.16.4-4 (binary)

gworkspace.app 0.9.3-1+b2 (binary) overridden

intel-cmt-cat 1.1.0-2 (binary) overridden

jags 4.3.0-1 (binary)

klavaro 3.02-1+b1 (binary)

kleopatra 4:16.04.2-2+b2 (binary)

kleopatra 4:17.08.0-1 (binary)

knot-resolver 1.3.3-1 (binary)

lib3ds-1-3 1.3.0-9+b1 (binary)

libbpfcc 0.3.0-4 (binary)

libcwd 1.0.4-1.1 (binary) overridden

libdb5.3-tcl 5.3.28-13.1 (binary)

libdislocker0.7 0.7.1-3 (binary)

libdune-common-dev 2.5.1-1 (binary) overridden

libdune-geometry-dev 2.5.1-1 (binary) overridden

libdune-grid-dev 2.5.1-1 (binary) overridden

libdune-grid-glue-dev 2.5.0-1 (binary)

libdune-pdelab-dev 2.5.0~rc1-2 (binary)

libdune-uggrid-dev 2.5.1-1 (binary) overridden

libeatmydata1 105-5 (binary) overridden

libecflow-view0d 4.7.0-1 (binary)

libfiu0 0.95-4 (binary)

libfl-dev 2.6.1-1.3 (binary) overridden

libgdiplus 4.2-2 (binary)

libguac-client-rdp0 0.9.9-2 (binary) overridden

libguac-client-ssh0 0.9.9-2 (binary) overridden

libguac-client-telnet0 0.9.9-2 (binary) overridden

libguac-client-vnc0 0.9.9-2 (binary) overridden

liblcas0 1.3.19-2+b1 (binary) overridden

liblcmaps-without-gsi0 1.6.6-2 (binary) overridden

liblcmaps0 1.6.6-2 (binary) overridden

liblldb-3.8 1:3.8.1-25 (binary) overridden

liblldb-3.9 1:3.9.1-18 (binary) overridden

liblldb-4.0 1:4.0.1-8 (binary) overridden

liblldb-5.0 1:5.0-4 (binary) overridden

liblldb-6.0 1:6.0~svn315736-1 (binary) overridden

libllvm3.8 1:3.8.1-25 (binary)

libllvm3.9 1:3.9.1-18 (binary)

libllvm4.0 1:4.0.1-8 (binary)

libllvm5.0 1:5.0-4 (binary)

libllvm6.0 1:6.0~svn315736-1 (binary)

libmoe1.5 1.5.8-2+b1 (binary)

libmono-profiler 4.6.2.7+dfsg-1 (binary)

libmono-profiler-gui-thread-check 2.99.3-2+b1 (binary)

libnlopt-guile0 2.4.2+dfsg-3 (binary) overridden

libnss-docker 0.02-1 (binary) overridden

libnss-lwres 0.93-7+b2 (binary)

libpcsclite-dev 1.8.22-1 (binary)

libpdal-plugin-greyhound 1.6.0-1 (binary) overridden

libpdal-plugin-icebridge 1.6.0-1 (binary) overridden

libpdal-plugin-pgpointcloud 1.6.0-1 (binary) overridden

libpdal-plugin-python 1.6.0-1 (binary) overridden

libpdal-plugin-sqlite 1.6.0-1 (binary) overridden

libphobos2-ldc-dev 1:1.4.0-3 (binary) overridden

libpython2.7-dbg 2.7.14-2 (binary) overridden

libpython3.5-dbg 3.5.4-4 (binary) overridden

libpython3.6-dbg 3.6.3-1 (binary) overridden

libpython3.7-dbg 3.7.0~a2-1 (binary) overridden

libsocks4 4.3.beta2-20+b1 (binary) overridden

libsqlite3-mod-blobtoxy 0.9995-1 (binary) overridden

libsqlite3-mod-csvtable 0.9995-1 (binary) overridden

libsqlite3-mod-impexp 0.9995-1 (binary) overridden

libsqlite3-mod-rasterlite2 1.0.0~rc0+devel1-6 (binary) overridden

libsqlite3-mod-spatialite 4.3.0a-5+b1 (binary) overridden

libsqlite3-mod-spatialite 4.4.0~rc1-1~exp2 (binary) overridden

libsqlite3-mod-xpath 0.9995-1 (binary) overridden

libsqlite3-mod-zipfile 0.9995-1 (binary) overridden

libsylfilter0 0.8-4 (binary) overridden

libtcnative-1 1.2.14-1 (binary) overridden

libusb-java-lib 0.8+ztex20090101-7 (binary)

likwid 4.2.1+dfsg1-1 (binary) overridden

linpac 0.24-3 (binary)

lnpd 0.9.0-11+b2 (binary)

lrzip 0.631-1 (binary)

mahimahi 0.97-1 (binary) overridden

maildir-utils 0.9.18-2 (binary)

maliit-framework 0.94.1-2 (binary)

mesa-opencl-icd 17.2.3-1 (binary)

minisat 1:2.2.1-5+b3 (binary)

mkreiserfs-udeb 1:3.6.25-7 (udeb)

mona 1.4-17-1+b1 (binary)

multipath-tools 0.6.4-5+b1 (binary)

multipath-udeb 0.6.4-5+b1 (udeb)

nilfs-tools 2.2.6-1+b1 (binary) overridden

pev 0.80-3 (binary)

pgplot5 5.2.2-19.3+b1 (binary)

picosat 960-1+b2 (binary)

picviz 0.5-1+b2 (binary) overridden

pitivi 0.99-2+b1 (binary)

plastimatch 1.6.6+dfsg.1-1 (binary) overridden

python-gobject-2-dbg 2.28.6-13 (binary)

python-vtkgdcm 2.8.3-1 (binary) overridden

quickplot 1.0.1~rc-1+b2 (binary)

r-mathlib 3.4.2-1 (binary) overridden

reiserfsprogs 1:3.6.25-7 (binary)

rocs 4:17.08.1-1 (binary)

sdate 0.4+nmu1 (binary) overridden

sgb 1:20090810-1 (binary) overridden

shiboken-dbg 1.2.2-5 (binary) overridden

shotwell 0.25.4+really0.24.5-0.1+b1 (binary) overridden

simple-tpm-pk11 0.06-1 (binary) overridden

smp-utils 0.98-1 (binary)

snoopy 2.4.6-2 (binary) overridden

swi-prolog-nox 7.4.2+dfsg-2 (binary) overridden

sylpheed 3.6.0-1 (binary) overridden

taopm 1.0-3+b2 (binary)

tcl-tclreadline 2.1.0-15 (binary) overridden

tsocks 1.8beta5+ds1-1 (binary)

unicon-imc2 3.0.4+dfsg1-1 (binary) overridden

util-vserver 0.30.216-pre3120-1.4+b1 (binary) overridden

vzctl 4.9.4-5 (binary)

xfce4-session 4.12.1-6 (binary) overridden

xserver-xorg-video-openchrome 1:0.6.0-3 (binary) overridden

yacas 1.3.6-2+b1 (binary)

ykcs11 1.4.2-2 (binary)